﻿namespace Bunny.Dao.Common.Result;

public class PageResult<T>(int page, int limit, int total, IEnumerable<T> data)
{
    /// <summary>
    ///     当前页
    /// </summary>
    public int Page { get; set; } = page;

    /// <summary>
    ///     页容量
    /// </summary>
    public int Limit { get; set; } = limit;

    /// <summary>
    ///     总页数
    /// </summary>
    public int Pages { get; set; } = (int)Math.Ceiling(total / (double)limit);

    /// <summary>
    ///     总条数
    /// </summary>
    public int Total { get; set; } = total;

    /// <summary>
    ///     数据
    /// </summary>
    public IEnumerable<T>? Data { get; set; } = data;
}