﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Bunny.Dao.Entity;

public class BaseEntity
{
    [Comment("主键")]
    [Column(Order = 0)]
    [Key]
    public string? Id { get; set; }

    [Comment("创建时间")] public DateTime CreateTime { get; set; }

    [Comment("更新时间")] public DateTime UpdateTime { get; set; }

    [Comment("创建用户id")] public long? CreateUserId { get; set; }

    [Comment("更新用户id")] public long? UpdateUserId { get; set; }

    [Comment("是否删除")] public bool IsDeleted { get; set; }

    [Comment("并发版本")]
    [Column(TypeName = "datetime")]
    public DateTime Version { get; set; }
}