﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Bunny.Dao.Entity.System.Menu;

[Table("System_Menus")]
[Comment("菜单表")]
public class Menus : BaseEntity
{
    [Comment("菜单父级id")] public Guid PatentId { get; init; }

    [Comment("菜单路径/路由路径")]
    [MaxLength(500)]
    public string? Path { get; init; }

    [Comment("菜单名称/路由名称")]
    [MaxLength(150)]
    public string? MenuName { get; init; }

    [Comment("菜单标题/路由标题")]
    [MaxLength(150)]
    public string? Title { get; init; }

    [Comment("菜单图标/路由图标")]
    [MaxLength(200)]
    public string? Icon { get; init; }

    [Comment("菜单/路由等级")] public int RouterRank { get; init; }
}