﻿using Bunny.Dao.Common.Result;
using Bunny.Dao.Dto.System;
using Bunny.Dao.Entity.System.User;

namespace Bunny.Service.IService;

public interface IUserService
{
    /// <summary>
    ///     添加Blog
    /// </summary>
    /// <param name="dto"></param>
    void AddBlog(Users dto);

    /// <summary>
    ///     查询BLog
    /// </summary>
    /// <returns></returns>
    List<Users> QueryBlog();

    /// <summary>
    ///     更新Blog内容
    /// </summary>
    /// <param name="dto"></param>
    void UpdateBlog(BlogUpdateDto dto);

    /// <summary>
    ///     删除BLog
    /// </summary>
    /// <param name="id"></param>
    void DeleteBlog(string id);

    /// <summary>
    ///     批量添加数据
    /// </summary>
    /// <param name="url"></param>
    void AddBatchBlogs(string url);

    /// <summary>
    ///     批量删除BLog
    /// </summary>
    void DeleteBatchBlogs();

    /// <summary>
    ///     批量更新_带事务
    /// </summary>
    void UseTransaction();

    /// <summary>
    ///     分页查询
    /// </summary>
    /// <param name="page"></param>
    /// <param name="limit"></param>
    Task<PageResult<Users>> QueryPage(int page, int limit);
}