﻿using log4net;
using Quartz;

namespace Bunny.Service.Job;

public class SimpleJob : IJob
{
    private static readonly ILog Log = LogManager.GetLogger(typeof(SimpleJob));

    public Task Execute(IJobExecutionContext context)
    {
        var dataMap = context.JobDetail.JobDataMap;
        var username = dataMap.GetString("username");
        var password = dataMap.GetString("password");
        Log.Info($"SimpleJob：用户名：{username}，密码： {password}");
        return Task.CompletedTask;
    }
}