﻿using Fleck;
using log4net;

namespace Bunny.Service.WebSocket;

public static class WebSocketTest
{
    private static readonly ILog Log = LogManager.GetLogger(typeof(WebSocketTest));

    public static void Start()
    {
        var webSocketServer = new WebSocketServer("ws://0.0.0.0:8800");

        webSocketServer.RestartAfterListenError = true;
        webSocketServer.Start(socket =>
        {
            socket.OnOpen = () => Log.Debug("Open!");
            socket.OnClose = () => Log.Debug("Close!");
            socket.OnMessage = message =>
            {
                Log.Debug(message);
                socket.Send(message);
            };
        });
    }
}